import type { MigrationOptions } from '../../types';
import type { Name, Reversible } from '../generalTypes';
import type { RevokeOnObjectsOptions, SchemaPrivilege, WithGrantOption } from './shared';
export interface OnlyGrantOnSchemasOptions {
    privileges: SchemaPrivilege | SchemaPrivilege[] | 'ALL';
    schemas: string[] | string;
    roles: Name | Name[];
}
export declare type GrantOnSchemasOptions = OnlyGrantOnSchemasOptions & WithGrantOption & RevokeOnObjectsOptions;
export declare type GrantOnSchemasFn = (options: GrantOnSchemasOptions) => string | string[];
export declare type GrantOnSchemas = Reversible<GrantOnSchemasFn>;
export declare function grantOnSchemas(mOptions: MigrationOptions): GrantOnSchemas;
