"use strict";Object.defineProperty(exports, "__esModule", {value: true});var _revokeOnSchemas = require('./revokeOnSchemas');
var _shared = require('./shared');
function grantOnSchemas(mOptions) {
  const _grantOnSchemas = ({
    privileges,
    schemas,
    roles,
    withGrantOption
  }) => {
    const rolesStr = _shared.asRolesStr.call(void 0, roles, mOptions);
    const schemasStr = _shared.asArray.call(void 0, schemas).map(mOptions.literal).join(", ");
    const privilegesStr = _shared.asArray.call(void 0, privileges).map(String).join(", ");
    const withGrantOptionStr = withGrantOption ? " WITH GRANT OPTION" : "";
    return `GRANT ${privilegesStr} ON SCHEMA ${schemasStr} TO ${rolesStr}${withGrantOptionStr};`;
  };
  _grantOnSchemas.reverse = _revokeOnSchemas.revokeOnSchemas.call(void 0, mOptions);
  return _grantOnSchemas;
}


exports.grantOnSchemas = grantOnSchemas;
