import { revokeOnSchemas } from "./revokeOnSchemas";
import { asArray, asRolesStr } from "./shared";
function grantOnSchemas(mOptions) {
  const _grantOnSchemas = ({
    privileges,
    schemas,
    roles,
    withGrantOption
  }) => {
    const rolesStr = asRolesStr(roles, mOptions);
    const schemasStr = asArray(schemas).map(mOptions.literal).join(", ");
    const privilegesStr = asArray(privileges).map(String).join(", ");
    const withGrantOptionStr = withGrantOption ? " WITH GRANT OPTION" : "";
    return `GRANT ${privilegesStr} ON SCHEMA ${schemasStr} TO ${rolesStr}${withGrantOptionStr};`;
  };
  _grantOnSchemas.reverse = revokeOnSchemas(mOptions);
  return _grantOnSchemas;
}
export {
  grantOnSchemas
};
