import { revokeRoles } from "./revokeRoles";
import { asArray } from "./shared";
function grantRoles(mOptions) {
  const _grantRoles = (rolesFrom, rolesTo, options) => {
    const rolesFromStr = asArray(rolesFrom).map(mOptions.literal).join(", ");
    const rolesToStr = asArray(rolesTo).map(mOptions.literal).join(", ");
    const withAdminOptionStr = options && options.withAdminOption ? " WITH ADMIN OPTION" : "";
    return `GRANT ${rolesFromStr} TO ${rolesToStr}${withAdminOptionStr};`;
  };
  _grantRoles.reverse = revokeRoles(mOptions);
  return _grantRoles;
}
export {
  grantRoles
};
