import { asArray, asRolesStr } from "./shared";
function revokeOnSchemas(mOptions) {
  const _revokeOnSchemas = ({
    privileges,
    schemas,
    roles,
    onlyGrantOption,
    cascade
  }) => {
    const rolesStr = asRolesStr(roles, mOptions);
    const schemasStr = asArray(schemas).map(mOptions.literal).join(", ");
    const privilegesStr = asArray(privileges).map(String).join(", ");
    const onlyGrantOptionStr = onlyGrantOption ? " GRANT OPTION FOR" : "";
    const cascadeStr = cascade ? " CASCADE" : "";
    return `REVOKE${onlyGrantOptionStr} ${privilegesStr} ON SCHEMA ${schemasStr} FROM ${rolesStr}${cascadeStr};`;
  };
  return _revokeOnSchemas;
}
export {
  revokeOnSchemas
};
