import { asArray, asRolesStr, asTablesStr } from "./shared";
function revokeOnTables(mOptions) {
  const _revokeOnTables = (options) => {
    const { privileges, roles, onlyGrantOption, cascade } = options;
    const rolesStr = asRolesStr(roles, mOptions);
    const privilegesStr = asArray(privileges).map(String).join(", ");
    const tablesStr = asTablesStr(options, mOptions);
    const onlyGrantOptionStr = onlyGrantOption ? " GRANT OPTION FOR" : "";
    const cascadeStr = cascade ? " CASCADE" : "";
    return `REVOKE${onlyGrantOptionStr} ${privilegesStr} ON ${tablesStr} FROM ${rolesStr}${cascadeStr};`;
  };
  return _revokeOnTables;
}
export {
  revokeOnTables
};
