import { asArray } from "./shared";
function revokeRoles(mOptions) {
  const _revokeRoles = (roles, rolesFrom, options) => {
    const rolesStr = asArray(roles).map(mOptions.literal).join(", ");
    const rolesToStr = asArray(rolesFrom).map(mOptions.literal).join(", ");
    const onlyAdminOptionStr = options && options.onlyAdminOption ? " ADMIN OPTION FOR" : "";
    const cascadeStr = options && options.cascade ? " CASCADE" : "";
    return `REVOKE${onlyAdminOptionStr} ${rolesStr} FROM ${rolesToStr}${cascadeStr};`;
  };
  return _revokeRoles;
}
export {
  revokeRoles
};
